// ArroyoDataLoggerDlg.h : header file
//

#pragma once
#include "afxwin.h"
#include "Serial.h"


// CArroyoDataLoggerDlg dialog
class CArroyoDataLoggerDlg : public CDialog
{
// Construction
public:
	CArroyoDataLoggerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_ARROYODATALOGGER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedBrowse();
	CString m_strFilename;
	int m_nInterval;
	int m_nCount;
	int m_nBaudRate;
	DWORD m_dwStart;
	CComboBox m_cbBaud;
	CString m_strCommand;
	CSerial m_serialport;
	FILE *m_file;
	afx_msg void OnBnClickedStop();
	afx_msg void OnBnClickedCancel();
	bool m_bLogging;
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	CComboBox m_cbPort;
	void PopulateCOMPorts(CComboBox& cbPort, int nPort, bool bLookForNewPort);
	afx_msg BOOL OnDeviceChange(UINT nEventType, DWORD_PTR dwData);
	void Enable(bool bEnable);
};
